Description

Hi,

i did not want to open my smtp port as i'm not good at configuring mail server...

So here's a method that uses fetchmail to get redmine to receive emails using WS :

Fetching emails from an IMAP server using fetchmail to pipe to WS:

Pros: quite easy to setup, .fetchmailrc and crontab needed to be configured, works with a remote mail server, no open

smtp port, is not CPU-intensive

Cons: emails are not processed instantly, fetchmail is in daemon mode

Fetching emails from an IMAP server using fetchmail to pipe to WS

fetchmail need to be installed.

Add a redmine user (sudo adduser --disabled-password redmine)

Add a .fetchmailrc file in /home/redmine (change this file according to your configuration):

set daemon 60

poll imap.gmail.com with

   proto imap

   service 993

   timeout 10

   user redmine@xxx.xx

   password xxxxx

   ssl

   mda "ruby /usr/share/redmine/extra/mail_handler/rdm-mailhandler.rb --url http://host.redmine.co

m --key <your secret key>" 

This will poll emails received in the imap inbox every 60 seconds.    

Add a crontab for user redmine to make sure fetchmail starts at boot:

# m h  dom mon dow   command

@reboot    nice -19 /usr/bin/fetchmail &> /dev/null

 For testing purposes, comment (#) the first line of /home/redmine/.fetchmailrc,

and start fetchmail (as redmine user)

If it works ok, uncomment and start fetchmail again, it will poll every 60 seconds for incoming mails :

nice -19 /usr/bin/fetchmail &> /dev/null

History

#1 - 2009-01-11 15:11 - Jérémy Lal

also note that this method is "safer" : the fetchmail daemon is run as redmine user, not suid root,

whereas it configuring the MTA in method 1 could lead to some security issue.

#2 - 2009-01-11 15:21 - Jérémy Lal

NB : chmod 710 .fetchmailrc
#3 - 2009-01-27 00:05 - Jérémy Lal

- Assignee set to Jean-Philippe Lang

#4 - 2014-03-14 08:37 - Toshi MARUYAMA

- Category changed from Wiki to Email receiving

#5 - 2014-03-14 08:38 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#6 - 2014-05-14 11:07 - Yar n

why this method is better than simple imap/pop fetching?

#7 - 2014-06-12 10:03 - Toshi MARUYAMA

- Category changed from Email receiving to Documentation

#8 - 2014-06-12 10:07 - Toshi MARUYAMA

- Category changed from Documentation to Email receiving

- Assignee deleted (Jean-Philippe Lang)

#9 - 2018-08-24 14:03 - Fernando Fernandez

Can I use with an office365 mailbox?
